function [y] = fplot(x, fun ...)
/* function [y] = fplot(x, "fun" ...)
   plot and return fun(x ...) at x with a same shape of x where x is a vector
   ... are scalar or string
   fun(a ...) returns a scalar for a scalar input a

   Comments: when fun(x ...) is a (c)t-file supporting vector inputs, 
   it is better to call plot(x, fun(x ...)) directly. 
*/
global(a_arg)
{
// read in the extra numerical arguments
  extraargs="";
  if ( Nargin() > 0 ) 
  {
    for (i=1; i<=Nargin(); i++)
      extraargs=#(extraargs, sformat(",``", argin(i)));
  };

// calculate y
  m=length(x);
  y=zeros(m);
  for (i=1; i<=m; i++)
  {
    a_arg=x[i];
    y[i]=evalexpr(#(fun, "(a_arg", extraargs, ");"));
  };
  
// plot
  plot(x,y);
};                                
